git-annex/ git-annex-direct

# NAME

git-annex direct - switch repository to direct mode (deprecated)

# SYNOPSIS

git annex direct

# DESCRIPTION

This used to switch a repository to use direct mode. But direct mode is no longer used; git-annex automatically converts direct mode repositories to v7 adjusted unlocked branches.

# SEE ALSO

git-annex(1)

git-annex-indirect(1)

git-annex-adjust(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

…
Using submodules to split the repo doesn’t work cleanly for me, by the way.
Comment by tomekwi — Wed Oct 29 14:05:27 2025
direct mode within a directory?

Hi, is it possible to enable direct mode only on a single directory?

I can’t use symlinks on a part of my repo because of interoperability with http://tagspaces.org . And I don’t want to have all of my repo in direct mode.

Comment by tomekwi — Wed Oct 29 14:05:27 2025
Comments on this page are closed.